Loading...
Searching...
No Matches
BALL::CreateSpectrumProcessor Class Reference
Molecular Modeling » Nuclear Magnetic Resonance Spectroscopy » NMR spectra and related classes

`#include <BALL/NMR/createSpectrumProcessor.h>`

Inheritance diagram for BALL::CreateSpectrumProcessor:

## Public Member Functions

Constructors and Destructors
| CreateSpectrumProcessor ()
virtual | ~CreateSpectrumProcessor ()
Processor related methods
virtual void | init ()
virtual void | init (const String &filename)
virtual bool | start ()
virtual Processor::Result | operator() (Composite &atom)
const PeakList1D & | getPeakList () const
Public Member Functions inherited from BALL::ShiftModule
| ShiftModule ()
| ShiftModule (Parameters &parameters, const String &name="")
| ShiftModule (const ShiftModule &module)
virtual | ~ShiftModule ()
virtual void | clear ()
const ShiftModule & | operator= (const ShiftModule &module)
void | setName (const String &name)
const String & | getName () const
void | setParameters (Parameters &parameters)
const Parameters * | getParameters () const
virtual bool | finish ()
bool | isValid () const
Public Member Functions inherited from BALL::UnaryProcessor< Composite >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()

## Static Public Attributes

static const String | IGNORE_SECTION_NAME
| Name of the section containing ignored atoms in the config file.
static const String | AVERAGE_SECTION_NAME
| Name of the section containing averaged atoms in the config file.
Static Public Attributes inherited from BALL::ShiftModule
static const char * | PROPERTY__SHIFT
static const char * | PROPERTY__EXPERIMENTAL__SHIFT

## Accessors

PeakList1D | peaklist_
StringHashSet | ignore_atoms_
vector< String > | equivalency_residues_
vector< vector< String > > | equivalency_atoms_
float | width_
bool | use_averaging_
bool | use_ignore_table_
Expression | expression_
void | setWidth (float width)
float | getWidth () const
void | setAtomAveraging (bool flag=true)
bool | getAtomAveraging () const
void | setAtomIgnoring (bool flag=true)
bool | getAtomIgnoring () const
void | setExpression (const String &expression)
const String & | getExpression () const

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
String | module_name_
Parameters * | parameters_
bool | valid_

## Detailed Description

Processor creates peaklist_. Each atom's chemical shift will create a new peak. This peak's atomlist_ will contain the corresponding atom.

Definition at line 47 of file createSpectrumProcessor.h.

## Constructor & Destructor Documentation

## CreateSpectrumProcessor()

BALL::CreateSpectrumProcessor::CreateSpectrumProcessor | ( |  | ) |

Default Constructor. Create a default instance of CreateSpectrumProcessor. Calls init to read default values from a configuration file, see init for details.

Exceptions

  BALL::Exception::FileNotFound | if the INI file does not exist
  BALL::Exception::ParseError | if the contents of the file could not be parsed

## ~CreateSpectrumProcessor()

virtual BALL::CreateSpectrumProcessor::~CreateSpectrumProcessor | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## getAtomAveraging()

bool BALL::CreateSpectrumProcessor::getAtomAveraging | ( |  | ) | const

## getAtomIgnoring()

bool BALL::CreateSpectrumProcessor::getAtomIgnoring | ( |  | ) | const

## getExpression()

const String & BALL::CreateSpectrumProcessor::getExpression | ( |  | ) | const

## getPeakList()

const PeakList1D & BALL::CreateSpectrumProcessor::getPeakList | ( |  | ) | const

Returns a reference to peaklist_.

## getWidth()

float BALL::CreateSpectrumProcessor::getWidth | ( |  | ) | const

## init() [1/2]

virtual void BALL::CreateSpectrumProcessor::init | ( |  | ) |

virtual

Init method. Read the contents of a specified INI file containing information on ignored and averaged atoms. The default filename is NMR/StandardSpectrum.ini in the BALL data path.

Exceptions

  BALL::Exception::FileNotFound | if the INI file does not exist
  BALL::Exception::ParseError | if the contents of the file could not be parsed

Reimplemented from BALL::ShiftModule.

## init() [2/2]

virtual void BALL::CreateSpectrumProcessor::init | ( | const String & | filename | ) |

virtual

Init method. Read the contents of a specified INI file containing information on ignored and averaged atoms. The default filename is NMR/StandardSpectrum.ini in the BALL data path.

Exceptions

  BALL::Exception::FileNotFound | if the INI file does not exist
  BALL::Exception::ParseError | if the contents of the file could not be parsed

## operator()()

virtual Processor::Result BALL::CreateSpectrumProcessor::operator() | ( | Composite & | atom | ) |

virtual

Application method.

Reimplemented from BALL::UnaryProcessor< Composite >.

## setAtomAveraging()

void BALL::CreateSpectrumProcessor::setAtomAveraging | ( | bool | flag = true | ) |

## setAtomIgnoring()

void BALL::CreateSpectrumProcessor::setAtomIgnoring | ( | bool | flag = true | ) |

## setExpression()

void BALL::CreateSpectrumProcessor::setExpression | ( | const String & | expression | ) |

## setWidth()

void BALL::CreateSpectrumProcessor::setWidth | ( | float | width | ) |

## start()

virtual bool BALL::CreateSpectrumProcessor::start | ( |  | ) |

virtual

Start method.

Reimplemented from BALL::ShiftModule.

## Member Data Documentation

## AVERAGE_SECTION_NAME

const String BALL::CreateSpectrumProcessor::AVERAGE_SECTION_NAME

static

Name of the section containing averaged atoms in the config file.

Definition at line 60 of file createSpectrumProcessor.h.

## equivalency_atoms_

vector<vector<String> > BALL::CreateSpectrumProcessor::equivalency_atoms_

protected

Definition at line 162 of file createSpectrumProcessor.h.

## equivalency_residues_

vector<String> BALL::CreateSpectrumProcessor::equivalency_residues_

protected

Definition at line 161 of file createSpectrumProcessor.h.

## expression_

Expression BALL::CreateSpectrumProcessor::expression_

protected

Definition at line 166 of file createSpectrumProcessor.h.

## ignore_atoms_

StringHashSet BALL::CreateSpectrumProcessor::ignore_atoms_

protected

Definition at line 160 of file createSpectrumProcessor.h.

## IGNORE_SECTION_NAME

const String BALL::CreateSpectrumProcessor::IGNORE_SECTION_NAME

static

Name of the section containing ignored atoms in the config file.

Constants

Definition at line 57 of file createSpectrumProcessor.h.

## peaklist_

PeakList1D BALL::CreateSpectrumProcessor::peaklist_

protected

Definition at line 159 of file createSpectrumProcessor.h.

## use_averaging_

bool BALL::CreateSpectrumProcessor::use_averaging_

protected

Definition at line 164 of file createSpectrumProcessor.h.

## use_ignore_table_

bool BALL::CreateSpectrumProcessor::use_ignore_table_

protected

Definition at line 165 of file createSpectrumProcessor.h.

## width_

float BALL::CreateSpectrumProcessor::width_

protected

Definition at line 163 of file createSpectrumProcessor.h.